> For the complete documentation index, see [llms.txt](https://docs.oneweb.tech/oneweb/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oneweb.tech/oneweb/reference/app-designer-reference/entity/create-new-entity/fields/dynamic.md).

# Dynamic

The Dynamic List is an input field used to display a list of values dynamically as a dropdown. Once user drags a field of type Dynamic List onto the entity, user must click on the edit icon to open the configuration window as shown below.

![](https://2015371994-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMpDjHWFRUtZ5nJcSfVXd%2Fuploads%2FAhQAB1yQIrPPHHlmSoCa%2Fimage.png?alt=media\&token=3aa696d1-6e09-4165-b6d7-176b4881a1e5)

The Dynamic List Configuration Settings are described below:&#x20;

<table data-header-hidden><thead><tr><th width="150"></th><th></th><th></th><th></th></tr></thead><tbody><tr><td>Property </td><td>Default value </td><td>Mandatory </td><td>Description  </td></tr><tr><td>MF ID </td><td>System Generated number </td><td>Y </td><td>MF ID is unique and is generated by system automatically. </td></tr><tr><td>Default Value </td><td> </td><td> </td><td>The default value for this field. </td></tr><tr><td>Source Tag </td><td> </td><td> </td><td>This field is used to insert the JavaScript at the Field level e.g.: readonly, onchange = validateNum(this) etc. </td></tr><tr><td>Table Name </td><td> </td><td>Y </td><td>To define the table from where the data is retrieved dynamically. </td></tr><tr><td>Column Show </td><td> </td><td>Y </td><td>To define the column whose value should be displayed in the list. </td></tr><tr><td>Column Value </td><td> </td><td>Y </td><td>To define the column whose value will be used as the value of selected data.  </td></tr><tr><td>Condition </td><td> </td><td> </td><td>To define any condition for retrieving data. </td></tr><tr><td>Global ID </td><td> </td><td> </td><td>To define Global ID of the field. </td></tr><tr><td>Dependency Data </td><td> </td><td> </td><td> </td></tr><tr><td>Depend Column </td><td> </td><td> </td><td>To define the column on which the data will depend on. </td></tr><tr><td>Sequence </td><td> </td><td> </td><td>To define the sequence of the column in the condition. </td></tr><tr><td>Field_ID </td><td>[FIELD_ID] </td><td> </td><td>To define the database field mapped to this field on the smart form. </td></tr><tr><td>ShowFieldName </td><td>[SHOW_FIELD_NAME] </td><td>Y </td><td>To define the field label to be displayed on the screen. Clicking on the blue icon will auto generate the field name based on field id </td></tr><tr><td>Condition Tab </td><td>N </td><td> </td><td>To define if this field trigger condition tab feature. </td></tr><tr><td>Search Criteria </td><td>N </td><td> </td><td>To define if this field is to be used as one of the search criteria in the search screen.. </td></tr><tr><td>ShowSearch </td><td>N </td><td> </td><td>To define if this field is to be one of the search results (in table) </td></tr><tr><td>SearchFromTo </td><td>N </td><td> </td><td>To define if the field is to be searched in range in the search criteria. </td></tr><tr><td>SearchPreLike </td><td>N </td><td> </td><td>To define if this field should allow wildcard search e.g. (%XXX) </td></tr><tr><td>SearchLike </td><td>N </td><td> </td><td>To define if this field to allow wildcard search e.g. (XXX%) </td></tr><tr><td>SearchIgnoreCase </td><td>N </td><td> </td><td>To define if this field is to allow search by ignoring case. </td></tr><tr><td>JoinSearchTable </td><td>N/A </td><td> </td><td>Usually required when JOIN SQL is used to produce the search screen. Join with another table to show results  </td></tr><tr><td>SearchFieldGroup </td><td>0 </td><td> </td><td>This setting is used to configure the position of the field in the search criteria screen horizontally (row). </td></tr><tr><td>SearchCriteriaSeq </td><td>0 </td><td> </td><td>To configure the position of field in the search criteria screen vertically (column). </td></tr><tr><td>ShowSearchSeq </td><td>0 </td><td> </td><td>To configure the position of the field in the search results. </td></tr><tr><td>Alignment </td><td>left </td><td> </td><td>To set Text Alignment. It provides 3 options to choose from: right /left /center. </td></tr><tr><td>OnlyGuiFlag </td><td>N </td><td> </td><td>To configure the field as a UI field. This field is not persisted into the database. </td></tr><tr><td>ViewFlag </td><td>N </td><td> </td><td>Y- To view field in read/view mode in Edit screen. </td></tr><tr><td>KeepHistory </td><td>N </td><td> </td><td>To configure the field values to have history information persisted into database. </td></tr><tr><td>FilterFlag </td><td>N </td><td> </td><td>Used in 1-Many module to filter the records based on value of the field. </td></tr><tr><td>Authen </td><td>N </td><td> </td><td>Enabling it, calls an ONEWEB authorization engine (IAM) </td></tr><tr><td>MergeFlag </td><td>N </td><td> </td><td>To merge this field to the next column as well. Usually used to display a field across two columns </td></tr><tr><td>Validate Code </td><td>CHECK_NULL </td><td> </td><td><p>Y - to make Validation check.   </p><p>CHECK_NULL- will check for null in the field before saving. </p><p>CHECK_INTEGER - will check for integer value before saving. </p><p>CHECK_DECIMAL - will check for decimal value before saving. </p><p>CHECK_EMAIL_FORMAT - require user to input value in email format before saving. </p></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oneweb.tech/oneweb/reference/app-designer-reference/entity/create-new-entity/fields/dynamic.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
